Bug 688528

Summary: Do not provide perl(Win32)
Product: [Fedora] Fedora Reporter: Petr Pisar <ppisar>
Component: perl-PDLAssignee: Petr Ĺ abata <psabata>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 14CC: mmaslano, orion, ppisar, psabata
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: perl-PDL-2.4.6-5.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-03-31 20:10:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Petr Pisar 2011-03-17 10:16:05 UTC
$ repoquery --whatprovides 'perl(Win32)'
perl-PDL-0:2.4.6-4.fc14.x86_64

Win32 Perl module is supposed to work on Win32 platform only (http://search.cpan.org/~jdb/Win32/Win32.pm).

The RPM Provides is beacuse Graphics/TriD/TriD/VRML.pm:388:

package Win32;

sub Win32::fn_win32_format {
  my ($file) = @_;
  $file =~ s|\\|/|g;
  $file = "//$file" if $file =~ m|^[a-z,A-Z]+:|;
  return $file;
}

package [...]

This is private package obviously. Do not provide it in RPM.

Comment 1 Fedora Update System 2011-03-31 14:07:49 UTC
perl-PDL-2.4.6-5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-PDL-2.4.6-5.fc14

Comment 2 Fedora Update System 2011-03-31 14:47:08 UTC
perl-PDL-2.4.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-PDL-2.4.8-1.fc15

Comment 3 Fedora Update System 2011-03-31 20:10:49 UTC
perl-PDL-2.4.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2011-04-01 18:27:35 UTC
perl-PDL-2.4.6-5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.